package edu.prlab.ecsimple.config;

import edu.prlab.ecsimple.domain.Account;
import edu.prlab.ecsimple.domain.Role;
import edu.prlab.ecsimple.service.AccountServiceImpl;
import lombok.RequiredArgsConstructor;
import org.springframework.boot.ApplicationArguments;
import org.springframework.boot.ApplicationRunner;
import org.springframework.stereotype.Component;

@RequiredArgsConstructor
@Component
public class DefaultDataBean implements ApplicationRunner {
    private final AccountServiceImpl userService;

    @Override
    public void run(ApplicationArguments args) {
        userService.create(Role.builder().name("ADMIN").build());
        userService.create(Role.builder().name("USER").build());
        userService.create(Account.builder().username("user1").password("1234").build());
        userService.addRoleToAccount("user1", "ADMIN");
        userService.addRoleToAccount("user1", "USER");
    }
}
